#!/bin/bash
# This if for KDE 3.5.10 for Slackware 13.0.
pkgname=kmenu-gnome-opt-kde3
pkgver=1.2.3
pkgrel=1
rm -rf slackware-opt-kde3/{opt,usr}
mkdir -p slackware-opt-kde3/opt/kde3/etc/xdg/menus/applications-merged
mkdir -p \
slackware-opt-kde3/opt/kde3/share/icons/hicolor/{16x16,22x22,32x32,48x48}
mkdir -p slackware-opt-kde3/usr/doc/$pkgname-$pkgver
cp --preserve=timestamps ../{ChangeLog,COPYING,GPL,LGPL,README} \
slackware-opt-kde3/usr/doc/$pkgname-$pkgver
cp --preserve=timestamps ../xdg/kmenu-gnome.menu \
slackware-opt-kde3/opt/kde3/etc/xdg/menus/applications-merged
cp -R --preserve=timestamps ../icons/crystalsvg \
slackware-opt-kde3/opt/kde3/share/icons
cp -R --preserve=timestamps ../icons/hicolor/{16x16,22x22,32x32,48x48,64x64} \
slackware-opt-kde3/opt/kde3/share/icons/crystalsvg
rm slackware-opt-kde3/opt/kde3/share/icons/crystalsvg/*/apps/gnome_apps.png
cp -R --preserve=timestamps ../desktop-directories \
slackware-opt-kde3/opt/kde3/share
cp -R --preserve=timestamps ../kmenu-gnome slackware-opt-kde3/usr/share
cp --preserve=timestamps slackware-opt-kde3.patch \
slackware-opt-kde3/usr/share/kmenu-gnome
# Make package:
( cd slackware-opt-kde3
makepkg -c y ../$pkgname-$pkgver-noarch-$pkgrel.tgz )
rm -rf slackware-opt-kde3/{opt,usr}
